Package org.eclipse.birt.report.model.api.extension

# Interface IMessages

public interface IMessages
The interface for getting localized messages from extension element. The extension element can has its own message file to take the translation from resource key to localized message according to the given locale.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage(String key, com.ibm.icu.util.ULocale locale)`
Returns the localized message given the resource key and given locale.
`String`
`getMessage(String key, Locale locale)`
Deprecated.
to support ICU4J, replaced by : getMessage(String key, ULocale lcoale)

## Method Details

### getMessage

@Deprecated String getMessage(String key, Locale locale)
Deprecated.
to support ICU4J, replaced by : getMessage(String key, ULocale lcoale)
Returns the localized message given the resource key and given locale.

Parameters:
  `key` - the resource key
  `locale` - the locale
Returns:
  the localized message

### getMessage

String getMessage(String key, com.ibm.icu.util.ULocale locale)
Returns the localized message given the resource key and given locale.

Parameters:
  `key` - the resource key
  `locale` - the locale of type `ULocale`
Returns:
  the localized message